## org.apache.aries.subsystem.core.internal
Class UninstallAction

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractAction
          org.apache.aries.subsystem.core.internal.UninstallAction

All Implemented Interfaces:
  PrivilegedAction<Object>

    public class UninstallAction

extends AbstractAction

Field Summary

Fields inherited from class org.apache.aries.subsystem.core.internal.AbstractAction
`disableRootCheck, requestor, target`

Constructor Summary
`UninstallAction(BasicSubsystem requestor, BasicSubsystem target, boolean disableRootCheck)`

Method Summary
`Object` `run()`

Methods inherited from class org.apache.aries.subsystem.core.internal.AbstractAction
`checkRoot, checkValid, waitForStateChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UninstallAction

    public UninstallAction(BasicSubsystem requestor,
                           BasicSubsystem target,
                           boolean disableRootCheck)

Method Detail

### run

    public Object run()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.